## org.apache.commons.collections.collection
Class UnmodifiableBoundedCollection

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.UnmodifiableBoundedCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, BoundedCollection

    public final class UnmodifiableBoundedCollection

extends AbstractSerializableCollectionDecorator
implements BoundedCollection

`UnmodifiableBoundedCollection` decorates another `BoundedCollection` to ensure it can't be altered.

If a BoundedCollection is first wrapped in some other collection decorator, such as synchronized or predicated, the BoundedCollection methods are no longer accessible. The factory on this class will attempt to retrieve the bounded nature by examining the package scope variables.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection coll)`
`void` `clear()`
`static BoundedCollection` `decorate(BoundedCollection coll)` Factory method to create an unmodifiable bounded collection.
`static BoundedCollection` `decorateUsing(java.util.Collection coll)` Factory method to create an unmodifiable bounded collection.
`boolean` `isFull()` Returns true if this collection is full and no new elements can be added.
`java.util.Iterator` `iterator()`
`int` `maxSize()` Gets the maximum size of the collection (the bound).
`boolean` `remove(java.lang.Object object)`
`boolean` `removeAll(java.util.Collection coll)`
`boolean` `retainAll(java.util.Collection coll)`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Method Detail

### decorate

    public static BoundedCollection decorate(BoundedCollection coll)

  Factory method to create an unmodifiable bounded collection.

  Parameters:
    `coll` - the `BoundedCollection` to decorate, must not be null
  Returns:
    a new unmodifiable bounded collection
  Throws:
    `java.lang.IllegalArgumentException` - if bag is null

### decorateUsing

    public static BoundedCollection decorateUsing(java.util.Collection coll)

  Factory method to create an unmodifiable bounded collection.

  This method is capable of drilling down through up to 1000 other decorators to find a suitable BoundedCollection.

  Parameters:
    `coll` - the `BoundedCollection` to decorate, must not be null
  Returns:
    a new unmodifiable bounded collection
  Throws:
    `java.lang.IllegalArgumentException` - if bag is null

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(java.lang.Object object)

  Specified by:
    `remove` in interface `java.util.Collection`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(java.util.Collection coll)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(java.util.Collection coll)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### isFull

    public boolean isFull()

  Description copied from interface: `BoundedCollection`
  Returns true if this collection is full and no new elements can be added.

  Specified by:
    `isFull` in interface `BoundedCollection`
  Returns:
    `true` if the collection is full

### maxSize

    public int maxSize()

  Description copied from interface: `BoundedCollection`
  Gets the maximum size of the collection (the bound).

  Specified by:
    `maxSize` in interface `BoundedCollection`
  Returns:
    the maximum number of elements the collection can hold

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.